<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BankAccount extends Model
{
    use HasFactory;

    protected $fillable = ['user_id', 'access_token', 'item_id', 'account_data'];

    protected $casts = [
        'account_data' => 'array',
    ];
}
