<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('accounts', function (Blueprint $table) {
            $table->id();
            $table->date('date');
            $table->string('memo');
            $table->string('check_number');
            $table->string('bank_account');
            $table->decimal('committed_amount', 10, 2);
            $table->string('user');
            $table->string('payer_name');
            $table->string('payer_address');
            $table->string('payer_signer');
            $table->string('payee_name');
            $table->string('payee_address');
            $table->string('payee_zip');
            $table->string('payee_country');
            $table->string('signature');
            $table->timestamps();
        });
    }


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('accounts');
    }
};
