<?php $__env->startComponent('mail::message'); ?>
# Your Check Details

Dear <?php echo e($check->payer['line1']); ?>,

Thank you for your commitment. Here are the details of your issued check:

- **Check Number:** <?php echo e($check->number); ?>

- **Amount:** $<?php echo e(number_format($check->amount / 100, 2)); ?>

- **Date Issued:** <?php echo e(\Carbon\Carbon::parse($check->created)->toFormattedDateString()); ?>

- **Check ID:** <?php echo e($check->checkeeper_id); ?>


<?php if($check->memo): ?>
**Memo:** <?php echo e($check->memo); ?>

<?php endif; ?>

<?php if(isset($check->signer['value'])): ?>
**Signer Name:** <?php echo e($check->signer['value']); ?>

<?php endif; ?>

<?php $__env->startComponent('mail::button', ['url' => 'https://yourapp.com/checks/' . $check->id]); ?>
View Check Details
<?php echo $__env->renderComponent(); ?>

Thanks,<br>
<?php echo e(config('app.name')); ?>

<?php echo $__env->renderComponent(); ?>
<?php /**PATH /home/fundbase/public_html/payment/resources/views/emails/check.blade.php ENDPATH**/ ?>