<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class PlaidAccountBalance extends Model
{
    protected $fillable = ['plaid_account_id', 'available', 'current', 'iso_currency_code', 'last_updated'];

    public function account(): BelongsTo
    {
        return $this->belongsTo(PlaidAccount::class, 'plaid_account_id');
    }
}
