<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SpreadsheetData extends Model
{
    use HasFactory;

    protected $fillable = [
        'date',
        'memo',
        'check_number',
        'bank_account',
        'bank_type',
        'bank_subtype',
        'bank_balance',
        'committed_amount',
        'user',
        'email',
        'payer_name',
        'payer_address',
        'payer_address1',
        'payer_address2',
        'payer_signer',
        'payee_name',
        'payee_address',
        'payee_zip',
        'payee_country',
        'signature',
    ];
}
