<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Transaction extends Model
{
    protected $fillable = [
        'delivery',
          'check_id',
        // Add other transaction-specific fields here
    ];

    protected $casts = [
      
        'delivery' => 'array',
    ];

    /**
     * Relationship: A Transaction has many Checks
     */
    public function checks()
    {
        return $this->hasMany(Check::class);
    }
}
