<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Plaid Accounts</title>
    <script src="https://cdn.plaid.com/link/v2/stable/link-initialize.js"></script>
    <?php echo app('Illuminate\Foundation\Vite')('resources/css/app.css'); ?> <!-- Tailwind -->
</head>
<body class="bg-gray-100 flex items-center justify-center h-screen">
    <div>
        <h1 class="text-xl mb-4">Plaid Accounts</h1>
        <table class="table-auto w-full">
            <thead>
                <tr>
                    <th class="border px-4 py-2">Account Name</th>
                    <th class="border px-4 py-2">Account Type</th>
                    <th class="border px-4 py-2">Balances</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td class="border px-4 py-2"><?php echo e($account->name); ?></td>
                        <td class="border px-4 py-2"><?php echo e($account->type); ?></td>
                        <td class="border px-4 py-2"><?php echo e($account->balances ? json_decode($account->balances)->available : 'N/A'); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\testing-api\resources\views/accounts/index.blade.php ENDPATH**/ ?>