<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Personal Information and Investment Form</title>
    <script src="https://cdn.plaid.com/link/v2/stable/link-initialize.js"></script>
    <script src="https://cdn.tailwindcss.com"></script>
</head>

<body class="bg-gradient-to-r from-blue-50 via-white to-blue-50 min-h-screen flex items-center justify-center">

    <!-- Main Container -->
    <div class="bg-white shadow-2xl rounded-lg p-8 max-w-lg w-full">
        <h1 class="text-3xl font-semibold text-gray-800 text-center mb-6">Personal Information and Investment Form</h1>
        <p class="text-lg text-gray-600 text-center mb-8">
           Provide your details and investment amount to proceed with your investment process.
        </p>

        <!-- Action Buttons -->
        <div class="flex justify-center space-x-6 mb-6">
           <!-- Redirect Button -->
                <button onclick="window.location.href='<?php echo e(route('plaidRedcapital')); ?>'" 
        class="bg-green-600 hover:bg-green-700 text-white font-semibold py-3 px-8 rounded-xl shadow-md transform transition duration-300 hover:scale-105 focus:outline-none focus:ring-2 focus:ring-green-400 focus:ring-opacity-50">
    Previous Step
</button>
            <!-- Redirect Button -->
            <button onclick="window.location.href='https://www.fundbasecamp.systems/index.php/?form=13'"
                class="bg-blue-600 hover:bg-blue-700 text-white font-semibold py-3 px-8 rounded-xl shadow-md transform transition duration-300 hover:scale-105 focus:outline-none focus:ring-2 focus:ring-blue-400 focus:ring-opacity-50">
                Go to Red Capital
            </button>
        </div>

        <!-- Terms and Privacy Links -->
        <div class="text-center text-sm text-gray-500">
            By connecting your account, you agree to our <a href="#" class="text-blue-600 hover:underline">Terms of
                Service</a> and <a href="#" class="text-blue-600 hover:underline">Privacy Policy</a>.
        </div>
    </div>

</body>

</html><?php /**PATH /home/fundbase/public_html/payment/resources/views/zigaformRedcapital.blade.php ENDPATH**/ ?>